REL #		DESCRIPTION
=====		===========

1.2		First general release

1.3		fixed using wrong To: when PRMBS RMAIL sent to a mailing list
		that then sent RMAIL to a 1.2 server

2.00		Begins development and support of expanded feature set by
		adding RFC-822 continuation line support for To: list

2.01		adds logging by to field of S[BP] line

2.02		forces H-name to be given, strips R: headers and supports
		named mailing lists not including RMAILs

2.03		named lists with RMAILs, embedded RMAILs and acknowledge
		list postings by reply message

2.04		tighten code and do not send a copy of list postings to the
		poster if on the list just send acknowledgement message

2.05		cleaned up embedding RMAILs without limits, Reply-To.log moved
		to same directory as *.dst, updated arpadate(), added
		requestable confirmation messages for RMAILs (*CONFIRM), list
		confirmation messages made supressable (*NOCONFIRM),
		Heirarchical Name now a command argument not switch argument
		(now must be at end of command line), in *.dst address is
		whitespace delimited from following comments, added un-modified
		passthrough for non-RMAIL/non-DST messages, corrected data
		source for Reply-To.log, RMAILER with no arguments displays
		the usage text

2.06		replaced passthrough for non-RMAIL/non-DST messages with a
		resending function compatable with the ROSErver/PRMBS version,
		extended resender to generate "Address Correction Notices" for
		resent messages (toggled with the -a switch), added -t option
		which changes message log file extentions to .YYM (YY = year
		mod 100 and M = hex month (1 = JAN to C = DEC)) to allow
		monthly archiving of message logs, added support for an
		RMAILOPT environmental variable that can be used to set any or
		all of the A, S and T options (i.e. any option that does not
		take an argument), added -i switch to fix FBB FUBAR (views
		"$" as a NULL MID/BID not as forcing assignment) argument
		values of '$' or '%' are used for force characters any other
		value nulls out string (FBB'ers can use "-i x" to remove force
		character) default is '$'

2.07		Log files now default to *YY.MON (eg RMAIL93.APR) (ie -t+) use
		-t- to get *.LOG, -i switch now has no space before argument
		(ie -i$ or -i% or -i- [none]), -a now accepts +|- to set or
		suppress address correction messages (ie -a+ sends and -a-
		suppresses), RMAILOPT is now RMO and can include A, I, S and
		T options (eg "SET RMO=sa+t-i$"  will save input, send address
		corrections, log to *.log and use $ to force MIDs/BIDs), found
		and fixed bug in supressing type tagged sender's copy when
		expanding a mailing list

2.07F.3		F6FBB BBS server version of 2.07

2.08		Combines 2.07 and 2.07F.3 into one program that by default acts
		as the "Generic" Server (i.e. RMAILER).  If renamed to include
		"FBB" in the program name (e.g. FBBRMAIL.EXE or RMAILFBB.EXE)
		or the letter 'F' is included in the value of the RMO variable
		it will function as a server for F6FBB BBS.

2.09		Adds automated list maintenance services for mailing lists
		via message having only SENDLIST, SUBSCRIBE or UNSUBSCRIBE
		alone as the subject.  Any text in such a message is ignored
		except for locating the @ BBS via "From:" or "Reply-To:" lines.

2.10		Disable banner for FBB server.

2.11		Bug fix: bad log directory name for FBB server in 2.08 to 2.10.

2.12		Fixed condition that could leave a comma attached to an H-Name
		of an embedded RMAIL.  Noconfirm is now default condition and
		*NOCONFIRM is no longer supported.  Added support for LIST, ADD
		and REMOVE as list maintenance directive subjects.  Unless no
		addressee has been listed (to continue to pass the RMAILs must
		have at least TWO addresses on the "To:" line test) embedded
		RMAILs will generate continuation lines.

2.13		Continuation lines are now generated after every five addresses
		when generating RMAILs rather than at each embedded RMAIL.  The
		extra "From:" and "To  :" generated by an FBB system are removed
		when the message is next processed down stream by a 2.13 system.
		Added the *NOXTO directive which if used _MUST_ be the first
		"address" after RMAIL@<BBS> on the "To:" line to suppress
		inclusion of the current "To:" line (and continuations) as an
		"X-To:" header in expanded messages (this is intended primarily
		for those supporting mailing lists where one could have more
		addresses than message body).

2.14		Added *ISEND directive to not supress the copy of the post for
		the originator.  This should be placed in the list prior to the
		addresses to send to.  Added support for "#<newto> <subject>"
		subject lines where <newto> replaces any "ALL" in a distributed
		to field.  This gives full RESEND server function to RMAILER.
		*REPLY directive places sender information in "From:" line, the
		list as the "Reply-To:" object and adds a "Use SP <list> @ <bbs>
		to reply to this message" tag at the end of the text.

2.15		Cleaned up treatment of existing Reply-To: lines and cut back on
		their generation by the server.  RMAILER now assigns its own
		MID/BID of the form RXXXX_call where XXXX is a hexadecimal
		unsigned int (i.e. 0000 to FFFF).  An answer to the pollution
		of FBB ASSumptive WP system has been added by crafting an R:
		header for the correct home BBS (message number 42 { why yes,
		I do have my towel. Don't Panic! ;-}) and the MID/BID from
		above.  The R: header also on a FBB system stops the addition
		of the extra "FROM:" and "TO  :" lines.  Lists now support
		tag/signature files *.sgn in the same directory as the .dst
		file.  If the list is also *REPLY the tag file replaces the
		"Use SP..." tag while the "Reply-To: list@bbs" is placed in
		the header.  Streamlined a few spots in the code and reformated
		the To: list to two per line since with maximum length H-names
		(32 character) that is all that will fit on a line.

2.15a		Force H-name in R: header to upper case.  Fixed bug in keeping
		blank line after RFC-822 headers.

2.16		Fixed bug in signature handling (RMAIL after signed list would
		get signed also).  Streamlined signature processing to copy
		.sgn file once per list message read vs. once per message
		written from the list.  "Use SP..." message now FOLLOWS .sgn
		text if *REPLY is set.

2.17		Reply setting is now covered by *HREPLY to make the list the
		address in the Reply-To: line, *FREPLY to append the "Use SP..."
		footer or *REPLY to do both.

2.18		BBS code from W0RLI and F6FBB apear to choke on "the answer"
		in the dummy R: header so give them a long int (0x10000 + bid)
		to work on. Also change '_' in server generated xID's to '-' to
		lessen confusion.

2.19		Fixed adding "X-" to 822 header style lines in message body.
		Eliminated "Re: Re:" for confirmation notes.  Removed the
		dummy R: line if and only if a local user originates the
		message on FBB systems due to report from KJ4LQ that entire
		mailing list expansions were put on hold by his FBB system.
		Now ignores header type lines in the body execpt to find the
		To: list to explode an RMAIL.  Reply to the list automatic
		footer now tells how to reply to the LIST and the SENDER (my
		TREKML folk were a bit blind in following orders of late ;-).

2.20		2.20 is built off 2.18 not 2.19 as I decline to bang my head
		against the wall fighting FBB's so-called loop detection code.
		Eliminated "Re: Re:" for confirmation notes.  Now ignores header
		type lines (both content and prefacing with "X-") in the body
		execpt to find the To: list to explode an RMAIL.  Reply to the
		list automatic footer now tells how to reply BOTH to the LIST
		and the SENDER (my TREKML folk were a bit blind in following
		orders of late ;-).
